#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  libportal-0.9.1

- Next

  libqalculate-5.5.1

- Up
- Home

# libptytty-2.0

## Introduction to libptytty

The libptytty package provides a library that allows for OS independent and secure pty/tty and utmp/wtmp/lastlog handling.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): http://dist.schmorp.de/libptytty/libptytty-2.0.tar.gz

- Download MD5 sum: 2a7f3f3c0d3ef71902da745dc7959529

- Download size: 48 KB

- Estimated disk space required: 1.4 MB

- Estimated build time: less than 0.1 SBU

### libptytty Dependencies

#### Required

CMake-3.31.5

## Installation of libptytty

Install libptytty by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr     \
          -D CMAKE_BUILD_TYPE=Release      \
          -D PT_UTMP_FILE:STRING=/run/utmp \
          .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libptytty.so
Installed Directories: None

### Short Descriptions

`libptytty.so` | provides for OS independent and secure pty/tty and utmp/wtmp/lastlog handling

- Prev

  libportal-0.9.1

- Next

  libqalculate-5.5.1

- Up
- Home